// excepciones.h
#if !defined( _EXCEPCIONES_H_ )
#define _EXCEPCIONES_H_

#include <iostream>
#include <string>
using namespace std;

class ESaldoInsuficiente
{
  private:
    CCuenta *cuenta;
    double cantidad_solicitada;
  public:
    ESaldoInsuficiente(CCuenta *cue, double cant)
    {
      cuenta = cue;
      cantidad_solicitada = cant;
    }
    
    string mensaje()
    {
      char scantso[40];
      char ssaldo[40];
      sprintf(scantso, "%g", cantidad_solicitada);
      sprintf(ssaldo, "%g", cuenta->estado());
      string msj = "Error: el saldo de la cuenta " +
                   cuenta->obtenerCuenta() + " es " + ssaldo +
                   " y ha solicitado la cantidad de " + scantso;
      return msj;
    }
};

#endif // _EXCEPCIONES_H_ 

